From 3a4299d0db6e1ec6ac9b68a1489ff36ecf314c93 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Apr 26 2020 01:02:13 +0000
Subject: [PATCH 411/2232] Emit prefixed path when using CxxVector type


---

diff --git a/syntax/tokens.rs b/syntax/tokens.rs
index 7423f8e..2962a2b 100644
--- a/syntax/tokens.rs
+++ b/syntax/tokens.rs
@@ -35,8 +35,7 @@ impl ToTokens for Var {
 
 impl ToTokens for Ty1 {
     fn to_tokens(&self, tokens: &mut TokenStream) {
-        // Do not add cxx namespace to Vector since we're defining it in the user crate
-        if self.name == "UniquePtr" || self.name == "RustVec" {
+        if let "UniquePtr" | "RustVec" | "CxxVector" = self.name.to_string().as_str() {
             let span = self.name.span();
             tokens.extend(quote_spanned!(span=> ::cxx::));
         }

